- Qt 5.5
- Qt3D Module
- C++ Classes
- QObserverInterface
- Qt 5.5.1 Reference Documentation

# QObserverInterface Class

(Qt3D::QObserverInterface)

Inherited By: |

- List of all members, including inherited members

## Public Functions

virtual | ~QObserverInterface()
virtual void | sceneChangeEvent(const QSceneChangePtr & e) = 0

## Member Function Documentation

### `[virtual]` QObserverInterface::~QObserverInterface()

### `[pure virtual]` void QObserverInterface::sceneChangeEvent(const QSceneChangePtr & e)